import { SpecimenFactory, Value } from './spicemen-factory';
import { TypeDescription } from '../types';
declare type RandomizerArguments = [TypeDescription?];
export declare class Randomizer {
    /**
     * Creates anonymous variables by description of T.
     * @returns An anonymous variable of type T.
     */
    static create<T>(...args: RandomizerArguments): Value<T> | undefined;
    /**
     * Creates many anonymous objects by requested type.
     * @returns A sequence of anonymous object of type T.
     */
    static createMany<T>(firstArg?: TypeDescription | number, minCount?: number, maxCount?: number): Array<Value<T>> | undefined;
    /**
     * Returns a spicemen factory
     */
    static build<T>(...args: RandomizerArguments): SpecimenFactory<T>;
}
export {};
