import * as ts from 'typescript';
import { TypeArgumentsMap, TypeDescription } from '../types';
declare type DescriptionFactory<T> = (node: T, typeArgumentsMap?: TypeArgumentsMap) => (checker: ts.TypeChecker) => TypeDescription;
/**
 * Generates description for node type
 * @param node Target node
 * @param typeArgumentsMap Node type arguments relations
 */
export declare const generateNodeDescription: DescriptionFactory<ts.Node>;
export {};
