import * as ts from 'typescript';
import { PropertyType, TypeArgumentsMap } from '../types';
/**
 * Create type arguments map where key is type argument symbol name, value is concrete argument type
 * @param type Type
 */
export declare const createTypeArgumentsMap: (type: ts.Type) => (checker: ts.TypeChecker) => TypeArgumentsMap;
export declare const getTypeNameByWrapperFunction: (name: string) => PropertyType.Boolean | PropertyType.Date | PropertyType.Function | PropertyType.Number | PropertyType.Object | PropertyType.String | null;
export declare const getPropertyNameBySyntaxKind: (propertySignature: ts.PropertySignature | ts.PropertyDeclaration | ts.TypeNode | undefined) => PropertyType;
export declare const getTypeArguments: (type: ts.TypeNode | ts.Type) => readonly ts.Type[];
export declare const getFirstTypeParameter: (item: ts.TypeNode | ts.Type) => ts.Type | undefined;
export declare const isArrayType: (type: ts.Type) => boolean;
export declare const isTargetExpression: (target: ts.CallExpression) => boolean;
